قابلية الملاحظة
إنشاء وجهة لقابلية الرصد
أنشئ وجهة Broadcast: أداة OpenTelemetry أو webhook أو حاوية تخزين أو مستودع بيانات.
POST
/
observability
/
destinations
إنشاء وجهة لقابلية المراقبة
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
config: {},
enabled: true,
privacy_mode: true,
sampling_rate: 0.50005,
include_generation_metadata: true,
include_cost_metadata: true,
include_identity_metadata: true,
include_request_context: true,
key_filters: [{key_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}],
rule_groups: [{rules: [{value: '<string>'}]}]
})
};
fetch('https://api.phaseo.app/v1/observability/destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.phaseo.app/v1/observability/destinations"
payload = {
"name": "<string>",
"config": {},
"enabled": True,
"privacy_mode": True,
"sampling_rate": 0.50005,
"include_generation_metadata": True,
"include_cost_metadata": True,
"include_identity_metadata": True,
"include_request_context": True,
"key_filters": [{ "key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }],
"rule_groups": [{ "rules": [{ "value": "<string>" }] }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.phaseo.app/v1/observability/destinations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"config": {},
"enabled": true,
"privacy_mode": true,
"sampling_rate": 0.50005,
"include_generation_metadata": true,
"include_cost_metadata": true,
"include_identity_metadata": true,
"include_request_context": true,
"key_filters": [
{
"key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"rule_groups": [
{
"rules": [
{
"value": "<string>"
}
]
}
]
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.phaseo.app/v1/observability/destinations"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"config\": {},\n \"enabled\": true,\n \"privacy_mode\": true,\n \"sampling_rate\": 0.50005,\n \"include_generation_metadata\": true,\n \"include_cost_metadata\": true,\n \"include_identity_metadata\": true,\n \"include_request_context\": true,\n \"key_filters\": [\n {\n \"key_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"rule_groups\": [\n {\n \"rules\": [\n {\n \"value\": \"<string>\"\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.phaseo.app/v1/observability/destinations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"config\": {},\n \"enabled\": true,\n \"privacy_mode\": true,\n \"sampling_rate\": 0.50005,\n \"include_generation_metadata\": true,\n \"include_cost_metadata\": true,\n \"include_identity_metadata\": true,\n \"include_request_context\": true,\n \"key_filters\": [\n {\n \"key_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"rule_groups\": [\n {\n \"rules\": [\n {\n \"value\": \"<string>\"\n }\n ]\n }\n ]\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.phaseo.app/v1/observability/destinations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'config' => [
],
'enabled' => true,
'privacy_mode' => true,
'sampling_rate' => 0.50005,
'include_generation_metadata' => true,
'include_cost_metadata' => true,
'include_identity_metadata' => true,
'include_request_context' => true,
'key_filters' => [
[
'key_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
],
'rule_groups' => [
[
'rules' => [
[
'value' => '<string>'
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.phaseo.app/v1/observability/destinations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"config\": {},\n \"enabled\": true,\n \"privacy_mode\": true,\n \"sampling_rate\": 0.50005,\n \"include_generation_metadata\": true,\n \"include_cost_metadata\": true,\n \"include_identity_metadata\": true,\n \"include_request_context\": true,\n \"key_filters\": [\n {\n \"key_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"rule_groups\": [\n {\n \"rules\": [\n {\n \"value\": \"<string>\"\n }\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "arize",
"name": "<string>",
"enabled": true,
"privacy_mode": true,
"sampling_rate": 0.50005,
"group_join": "and",
"key_filters": [
{
"key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "include"
}
],
"rule_groups": [
{
"match": "and",
"rules": [
{
"field": "model",
"condition": "equals",
"value": "<string>"
}
]
}
],
"configured": true,
"include_generation_metadata": true,
"include_cost_metadata": true,
"include_identity_metadata": true,
"include_request_context": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "validation_error",
"message": "Unknown parameter: foo",
"type": "invalid_request_error",
"param": "foo"
},
"ok": false,
"code": "validation_error",
"message": "Human-readable error message",
"description": "Additional error details.",
"generation_id": "G-abc123",
"status_code": 502,
"error_type": "system",
"error_origin": "upstream",
"reason": "all_candidates_failed",
"attempt_count": 2,
"failed_providers": [
"google-ai-studio",
"openai"
],
"failed_statuses": [
403,
429
],
"upstream_error": {
"code": "PERMISSION_DENIED",
"message": "The caller does not have permission.",
"description": "<string>",
"param": "<string>"
},
"failure_sample": [
{
"provider": "<string>",
"type": "<string>",
"status": 123,
"upstream_error_code": "<string>",
"upstream_error_message": "<string>",
"upstream_error_description": "<string>",
"upstream_error_param": "<string>",
"upstream_payload_preview": "<string>",
"retryable": true
}
],
"provider_failure_diagnostics": {
"category": "credentials_not_configured",
"hint": "<string>",
"provider": "<string>"
},
"routing_diagnostics": {
"filterStages": [
{
"stage": "<string>",
"beforeCount": 123,
"afterCount": 123,
"droppedProviders": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
}
]
},
"provider_candidate_diagnostics": {
"totalProviders": 123,
"supportsEndpointCount": 123,
"candidateCount": 123,
"droppedUnsupportedEndpoint": [
"<string>"
],
"droppedMissingAdapter": [
{
"providerId": "<string>",
"endpoint": "<string>"
}
]
},
"provider_enablement": {
"capability": "<string>",
"providersBefore": [
"<string>"
],
"providersAfter": [
"<string>"
],
"dropped": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
},
"missing_pricing_providers": [
"<string>"
],
"provider_payment_required_provider": "openai",
"provider_payment_required_support_notice": "Our upstream provider billing appears to be unavailable. If this persists, contact support.",
"details": [
{}
]
}{
"error": {
"code": "validation_error",
"message": "Unknown parameter: foo",
"type": "invalid_request_error",
"param": "foo"
},
"ok": false,
"code": "validation_error",
"message": "Human-readable error message",
"description": "Additional error details.",
"generation_id": "G-abc123",
"status_code": 502,
"error_type": "system",
"error_origin": "upstream",
"reason": "all_candidates_failed",
"attempt_count": 2,
"failed_providers": [
"google-ai-studio",
"openai"
],
"failed_statuses": [
403,
429
],
"upstream_error": {
"code": "PERMISSION_DENIED",
"message": "The caller does not have permission.",
"description": "<string>",
"param": "<string>"
},
"failure_sample": [
{
"provider": "<string>",
"type": "<string>",
"status": 123,
"upstream_error_code": "<string>",
"upstream_error_message": "<string>",
"upstream_error_description": "<string>",
"upstream_error_param": "<string>",
"upstream_payload_preview": "<string>",
"retryable": true
}
],
"provider_failure_diagnostics": {
"category": "credentials_not_configured",
"hint": "<string>",
"provider": "<string>"
},
"routing_diagnostics": {
"filterStages": [
{
"stage": "<string>",
"beforeCount": 123,
"afterCount": 123,
"droppedProviders": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
}
]
},
"provider_candidate_diagnostics": {
"totalProviders": 123,
"supportsEndpointCount": 123,
"candidateCount": 123,
"droppedUnsupportedEndpoint": [
"<string>"
],
"droppedMissingAdapter": [
{
"providerId": "<string>",
"endpoint": "<string>"
}
]
},
"provider_enablement": {
"capability": "<string>",
"providersBefore": [
"<string>"
],
"providersAfter": [
"<string>"
],
"dropped": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
},
"missing_pricing_providers": [
"<string>"
],
"provider_payment_required_provider": "openai",
"provider_payment_required_support_notice": "Our upstream provider billing appears to be unavailable. If this persists, contact support.",
"details": [
{}
]
}{
"error": {
"code": "validation_error",
"message": "Unknown parameter: foo",
"type": "invalid_request_error",
"param": "foo"
},
"ok": false,
"code": "validation_error",
"message": "Human-readable error message",
"description": "Additional error details.",
"generation_id": "G-abc123",
"status_code": 502,
"error_type": "system",
"error_origin": "upstream",
"reason": "all_candidates_failed",
"attempt_count": 2,
"failed_providers": [
"google-ai-studio",
"openai"
],
"failed_statuses": [
403,
429
],
"upstream_error": {
"code": "PERMISSION_DENIED",
"message": "The caller does not have permission.",
"description": "<string>",
"param": "<string>"
},
"failure_sample": [
{
"provider": "<string>",
"type": "<string>",
"status": 123,
"upstream_error_code": "<string>",
"upstream_error_message": "<string>",
"upstream_error_description": "<string>",
"upstream_error_param": "<string>",
"upstream_payload_preview": "<string>",
"retryable": true
}
],
"provider_failure_diagnostics": {
"category": "credentials_not_configured",
"hint": "<string>",
"provider": "<string>"
},
"routing_diagnostics": {
"filterStages": [
{
"stage": "<string>",
"beforeCount": 123,
"afterCount": 123,
"droppedProviders": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
}
]
},
"provider_candidate_diagnostics": {
"totalProviders": 123,
"supportsEndpointCount": 123,
"candidateCount": 123,
"droppedUnsupportedEndpoint": [
"<string>"
],
"droppedMissingAdapter": [
{
"providerId": "<string>",
"endpoint": "<string>"
}
]
},
"provider_enablement": {
"capability": "<string>",
"providersBefore": [
"<string>"
],
"providersAfter": [
"<string>"
],
"dropped": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
},
"missing_pricing_providers": [
"<string>"
],
"provider_payment_required_provider": "openai",
"provider_payment_required_support_notice": "Our upstream provider billing appears to be unavailable. If this persists, contact support.",
"details": [
{}
]
}تتطلب نقطة النهاية هذه مفتاح API للإدارة يتضمن
settings:write.config للكتابة فقط ويُشفَّر قبل التخزين. يجب أن تستخدم نقاط النهاية عناوين HTTPS عامة. راجع Broadcast لمعرفة ما تفعله كل وجهة وما تتلقاه.
اضبط config لكل نوع وجهة
كل القيم سلاسل نصية. يُرجع الطلب الذي ينقصه مفتاح مطلوب، أو الذي يحتوي قيمة لا تستطيع الوجهة استخدامها، 400 مع رسالة تسمّي المفتاح.
type | مفاتيح config المطلوبة | مفاتيح config الاختيارية |
|---|---|---|
arize | api_key وspace_id وproject_name | base_url |
axiom | api_token وdataset | region |
bigquery | service_account_json وdataset وtable | project_id |
braintrust | api_key وproject_id | base_url |
clickhouse | endpoint وpassword وtable | username وdatabase |
comet_opik | api_key وworkspace وproject_name | base_url |
datadog | api_key | ml_app وsite |
dynatrace | environment_url وapi_token | token_type |
elastic | otlp_endpoint وapi_key | — |
gcs | bucket وaccess_key_id وsecret_access_key | path_template |
grafana_cloud | otlp_endpoint وinstance_id وapi_key | — |
honeycomb | api_key | region وdataset |
langfuse | secret_key وpublic_key | base_url |
langsmith | api_key | project وbase_url |
new_relic | license_key | region |
otel_collector | otlp_endpoint | otlp_protocol وheaders_json |
posthog | api_key | base_url |
r2 | account_id وbucket وaccess_key_id وsecret_access_key | jurisdiction وpath_template |
respan | api_key | base_url |
s3 | bucket وaccess_key_id وsecret_access_key | region وendpoint وsession_token وpath_template |
sentry | otlp_endpoint وpublic_key | — |
snowflake | account وuser وprivate_key وwarehouse وdatabase وschema وtable | role |
wandb_weave | api_key وentity وproject | base_url |
webhook | url | method وheaders_json وsigning_secret |
otlp_protocol (http/json أو http/protobuf) وotlp_compression (none أو gzip)، إلا حيث لا يقبل المورّد سوى قيمة واحدة. الحقل headers_json في webhook كائن JSON يربط أسماء الترويسات بقيمها، ويُرسل بوصفه سلسلة نصية.الجسم
application/json
آخر تعديل في ١٦ نوفمبر ٢٠٢٦
هل كانت هذه الصفحة مفيدة؟
⌘I
إنشاء وجهة لقابلية المراقبة
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
config: {},
enabled: true,
privacy_mode: true,
sampling_rate: 0.50005,
include_generation_metadata: true,
include_cost_metadata: true,
include_identity_metadata: true,
include_request_context: true,
key_filters: [{key_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}],
rule_groups: [{rules: [{value: '<string>'}]}]
})
};
fetch('https://api.phaseo.app/v1/observability/destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.phaseo.app/v1/observability/destinations"
payload = {
"name": "<string>",
"config": {},
"enabled": True,
"privacy_mode": True,
"sampling_rate": 0.50005,
"include_generation_metadata": True,
"include_cost_metadata": True,
"include_identity_metadata": True,
"include_request_context": True,
"key_filters": [{ "key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }],
"rule_groups": [{ "rules": [{ "value": "<string>" }] }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.phaseo.app/v1/observability/destinations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"config": {},
"enabled": true,
"privacy_mode": true,
"sampling_rate": 0.50005,
"include_generation_metadata": true,
"include_cost_metadata": true,
"include_identity_metadata": true,
"include_request_context": true,
"key_filters": [
{
"key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"rule_groups": [
{
"rules": [
{
"value": "<string>"
}
]
}
]
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.phaseo.app/v1/observability/destinations"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"config\": {},\n \"enabled\": true,\n \"privacy_mode\": true,\n \"sampling_rate\": 0.50005,\n \"include_generation_metadata\": true,\n \"include_cost_metadata\": true,\n \"include_identity_metadata\": true,\n \"include_request_context\": true,\n \"key_filters\": [\n {\n \"key_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"rule_groups\": [\n {\n \"rules\": [\n {\n \"value\": \"<string>\"\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.phaseo.app/v1/observability/destinations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"config\": {},\n \"enabled\": true,\n \"privacy_mode\": true,\n \"sampling_rate\": 0.50005,\n \"include_generation_metadata\": true,\n \"include_cost_metadata\": true,\n \"include_identity_metadata\": true,\n \"include_request_context\": true,\n \"key_filters\": [\n {\n \"key_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"rule_groups\": [\n {\n \"rules\": [\n {\n \"value\": \"<string>\"\n }\n ]\n }\n ]\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.phaseo.app/v1/observability/destinations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'config' => [
],
'enabled' => true,
'privacy_mode' => true,
'sampling_rate' => 0.50005,
'include_generation_metadata' => true,
'include_cost_metadata' => true,
'include_identity_metadata' => true,
'include_request_context' => true,
'key_filters' => [
[
'key_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
],
'rule_groups' => [
[
'rules' => [
[
'value' => '<string>'
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.phaseo.app/v1/observability/destinations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"config\": {},\n \"enabled\": true,\n \"privacy_mode\": true,\n \"sampling_rate\": 0.50005,\n \"include_generation_metadata\": true,\n \"include_cost_metadata\": true,\n \"include_identity_metadata\": true,\n \"include_request_context\": true,\n \"key_filters\": [\n {\n \"key_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"rule_groups\": [\n {\n \"rules\": [\n {\n \"value\": \"<string>\"\n }\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "arize",
"name": "<string>",
"enabled": true,
"privacy_mode": true,
"sampling_rate": 0.50005,
"group_join": "and",
"key_filters": [
{
"key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "include"
}
],
"rule_groups": [
{
"match": "and",
"rules": [
{
"field": "model",
"condition": "equals",
"value": "<string>"
}
]
}
],
"configured": true,
"include_generation_metadata": true,
"include_cost_metadata": true,
"include_identity_metadata": true,
"include_request_context": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "validation_error",
"message": "Unknown parameter: foo",
"type": "invalid_request_error",
"param": "foo"
},
"ok": false,
"code": "validation_error",
"message": "Human-readable error message",
"description": "Additional error details.",
"generation_id": "G-abc123",
"status_code": 502,
"error_type": "system",
"error_origin": "upstream",
"reason": "all_candidates_failed",
"attempt_count": 2,
"failed_providers": [
"google-ai-studio",
"openai"
],
"failed_statuses": [
403,
429
],
"upstream_error": {
"code": "PERMISSION_DENIED",
"message": "The caller does not have permission.",
"description": "<string>",
"param": "<string>"
},
"failure_sample": [
{
"provider": "<string>",
"type": "<string>",
"status": 123,
"upstream_error_code": "<string>",
"upstream_error_message": "<string>",
"upstream_error_description": "<string>",
"upstream_error_param": "<string>",
"upstream_payload_preview": "<string>",
"retryable": true
}
],
"provider_failure_diagnostics": {
"category": "credentials_not_configured",
"hint": "<string>",
"provider": "<string>"
},
"routing_diagnostics": {
"filterStages": [
{
"stage": "<string>",
"beforeCount": 123,
"afterCount": 123,
"droppedProviders": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
}
]
},
"provider_candidate_diagnostics": {
"totalProviders": 123,
"supportsEndpointCount": 123,
"candidateCount": 123,
"droppedUnsupportedEndpoint": [
"<string>"
],
"droppedMissingAdapter": [
{
"providerId": "<string>",
"endpoint": "<string>"
}
]
},
"provider_enablement": {
"capability": "<string>",
"providersBefore": [
"<string>"
],
"providersAfter": [
"<string>"
],
"dropped": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
},
"missing_pricing_providers": [
"<string>"
],
"provider_payment_required_provider": "openai",
"provider_payment_required_support_notice": "Our upstream provider billing appears to be unavailable. If this persists, contact support.",
"details": [
{}
]
}{
"error": {
"code": "validation_error",
"message": "Unknown parameter: foo",
"type": "invalid_request_error",
"param": "foo"
},
"ok": false,
"code": "validation_error",
"message": "Human-readable error message",
"description": "Additional error details.",
"generation_id": "G-abc123",
"status_code": 502,
"error_type": "system",
"error_origin": "upstream",
"reason": "all_candidates_failed",
"attempt_count": 2,
"failed_providers": [
"google-ai-studio",
"openai"
],
"failed_statuses": [
403,
429
],
"upstream_error": {
"code": "PERMISSION_DENIED",
"message": "The caller does not have permission.",
"description": "<string>",
"param": "<string>"
},
"failure_sample": [
{
"provider": "<string>",
"type": "<string>",
"status": 123,
"upstream_error_code": "<string>",
"upstream_error_message": "<string>",
"upstream_error_description": "<string>",
"upstream_error_param": "<string>",
"upstream_payload_preview": "<string>",
"retryable": true
}
],
"provider_failure_diagnostics": {
"category": "credentials_not_configured",
"hint": "<string>",
"provider": "<string>"
},
"routing_diagnostics": {
"filterStages": [
{
"stage": "<string>",
"beforeCount": 123,
"afterCount": 123,
"droppedProviders": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
}
]
},
"provider_candidate_diagnostics": {
"totalProviders": 123,
"supportsEndpointCount": 123,
"candidateCount": 123,
"droppedUnsupportedEndpoint": [
"<string>"
],
"droppedMissingAdapter": [
{
"providerId": "<string>",
"endpoint": "<string>"
}
]
},
"provider_enablement": {
"capability": "<string>",
"providersBefore": [
"<string>"
],
"providersAfter": [
"<string>"
],
"dropped": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
},
"missing_pricing_providers": [
"<string>"
],
"provider_payment_required_provider": "openai",
"provider_payment_required_support_notice": "Our upstream provider billing appears to be unavailable. If this persists, contact support.",
"details": [
{}
]
}{
"error": {
"code": "validation_error",
"message": "Unknown parameter: foo",
"type": "invalid_request_error",
"param": "foo"
},
"ok": false,
"code": "validation_error",
"message": "Human-readable error message",
"description": "Additional error details.",
"generation_id": "G-abc123",
"status_code": 502,
"error_type": "system",
"error_origin": "upstream",
"reason": "all_candidates_failed",
"attempt_count": 2,
"failed_providers": [
"google-ai-studio",
"openai"
],
"failed_statuses": [
403,
429
],
"upstream_error": {
"code": "PERMISSION_DENIED",
"message": "The caller does not have permission.",
"description": "<string>",
"param": "<string>"
},
"failure_sample": [
{
"provider": "<string>",
"type": "<string>",
"status": 123,
"upstream_error_code": "<string>",
"upstream_error_message": "<string>",
"upstream_error_description": "<string>",
"upstream_error_param": "<string>",
"upstream_payload_preview": "<string>",
"retryable": true
}
],
"provider_failure_diagnostics": {
"category": "credentials_not_configured",
"hint": "<string>",
"provider": "<string>"
},
"routing_diagnostics": {
"filterStages": [
{
"stage": "<string>",
"beforeCount": 123,
"afterCount": 123,
"droppedProviders": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
}
]
},
"provider_candidate_diagnostics": {
"totalProviders": 123,
"supportsEndpointCount": 123,
"candidateCount": 123,
"droppedUnsupportedEndpoint": [
"<string>"
],
"droppedMissingAdapter": [
{
"providerId": "<string>",
"endpoint": "<string>"
}
]
},
"provider_enablement": {
"capability": "<string>",
"providersBefore": [
"<string>"
],
"providersAfter": [
"<string>"
],
"dropped": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
},
"missing_pricing_providers": [
"<string>"
],
"provider_payment_required_provider": "openai",
"provider_payment_required_support_notice": "Our upstream provider billing appears to be unavailable. If this persists, contact support.",
"details": [
{}
]
}